import { URI } from '@vscode/base-node/vs/base/common/uri';
import { IEncodingOverride } from './files';
export interface IResolveFileOptions {
    resolveTo?: URI[];
    resolveSingleChildDescendants?: boolean;
}
export interface ICreateFileOptions {
    overwrite?: boolean;
}
export interface IResolveContentOptions {
    acceptTextOnly?: boolean;
    etag?: string;
    encoding?: string;
    autoGuessEncoding?: boolean;
    position?: number;
}
export interface IUpdateContentOptions {
    encoding?: string;
    overwriteEncoding?: boolean;
    overwriteReadonly?: boolean;
    writeElevated?: boolean;
    mtime?: number;
    etag?: string;
    mkdirp?: boolean;
}
export interface IFileServiceTestOptions {
    tmpDir?: string;
    disableWatcher?: boolean;
    encodingOverride?: IEncodingOverride[];
}
export interface IFileServiceOptions {
    tmpDir?: string;
    errorLogger?: (msg: string) => void;
    encodingOverride?: IEncodingOverride[];
    watcherIgnoredPatterns?: string[];
    disableWatcher?: boolean;
    verboseLogging?: boolean;
    useExperimentalFileWatcher?: boolean;
}
export interface FileOverwriteOptions {
    overwrite: boolean;
}
export interface FileWriteOptions {
    overwrite: boolean;
    create: boolean;
}
export interface FileDeleteOptions {
    recursive: boolean;
}
export interface IWatchOptions {
    recursive: boolean;
    excludes: string[];
}
