export declare const enum ModelState {
    SAVED = 0,
    DIRTY = 1,
    PENDING_SAVE = 2,
    CONFLICT = 3,
    ORPHAN = 4,
    ERROR = 5
}
export declare const enum StateChange {
    DIRTY = 0,
    SAVING = 1,
    SAVE_ERROR = 2,
    SAVED = 3,
    REVERTED = 4,
    ENCODING = 5,
    CONTENT_CHANGE = 6,
    ORPHANED_CHANGE = 7
}
export interface IAutoSaveConfiguration {
    autoSaveDelay: number;
    autoSaveFocusChange: boolean;
    autoSaveApplicationChange: boolean;
}
export declare const enum AutoSaveMode {
    OFF = 0,
    AFTER_SHORT_DELAY = 1,
    AFTER_LONG_DELAY = 2,
    ON_FOCUS_CHANGE = 3,
    ON_WINDOW_CHANGE = 4
}
export declare const enum SaveReason {
    EXPLICIT = 1,
    AUTO = 2,
    FOCUS_CHANGE = 3,
    WINDOW_CHANGE = 4
}
export declare const enum LoadReason {
    EDITOR = 1,
    REFERENCE = 2,
    OTHER = 3
}
export interface ISaveOptions {
    force?: boolean;
    reason?: SaveReason;
    overwriteReadonly?: boolean;
    overwriteEncoding?: boolean;
    skipSaveParticipants?: boolean;
    writeElevated?: boolean;
}
export interface ILoadOptions {
    forceReadFromDisk?: boolean;
    allowBinary?: boolean;
    reason?: LoadReason;
}
